#ifndef CHIP_STM32H7XX_REGS_MMAP_H
#define CHIP_STM32H7XX_REGS_MMAP_H

#include "chip_devtype_spec_features.h"

/* CODE MEMORY */
#ifdef CHIP_CORETYPE_CM4
    #define CHIP_MEMRGN_ADDR_VTOR_REMAP           (0x00000000)
#else
    #define CHIP_MEMRGN_ADDR_ICTM_RAM             (0x00000000)
    #if CHIP_DEV_SUPPORT_ITCM_AXI_SHARE
        #define CHIP_MEMRGN_ADDR_ICTM_AXI         (0x00010000)
    #endif
#endif
#define CHIP_MEMRGN_ADDR_FLASH_BANK1              (0x08000000)
#if CHIP_DEV_SUPPORT_FLASH_BANK2
    #define CHIP_MEMRGN_ADDR_FLASH_BANK2          (0x08100000)
#endif
#if CHIP_DEV_SUPPORT_CORE_CM4
    /*  Alias to maintain Arm® Cortex ®-M4 Harvard architecture. */
    #define CHIP_MEMRGN_ADDR_SRAM1_ALIAS          (0x10000000)
    #define CHIP_MEMRGN_ADDR_SRAM2_ALIAS          (0x10020000)
    #define CHIP_MEMRGN_ADDR_SRAM3_ALIAS          (0x10040000)
#endif
#ifndef CHIP_CORETYPE_CM4
    #define CHIP_MEMRGN_ADDR_SYSMEM               (0x1FF00000)
#endif



/* RAM */
#ifndef CHIP_CORETYPE_CM4
    #define CHIP_MEMRGN_ADDR_DTCM                 (0x20000000)
    #define CHIP_MEMRGN_SIZE_DTCM                   (128*1024)
#endif
#define CHIP_MEMRGN_ADDR_AXI_SRAM                 (0x24000000)
#define CHIP_MEMRGN_SIZE_AXI_SRAM                   (512*1024)

#if CHIP_DEV_SUPPORT_ITCM_AXI_SHARE
    #define CHIP_MEMRGN_ADDR_AXI_ICTM             (0x24020000)
#endif
#define CHIP_MEMRGN_ADDR_SRAM1                    (0x30000000)
#define CHIP_MEMRGN_SIZE_SRAM1                      (128*1024)

#if CHIP_DEV_SUPPORT_SRAM3
  #define CHIP_MEMRGN_ADDR_SRAM2                    (0x30020000)
  #define CHIP_MEMRGN_ADDR_SRAM3                    (0x30040000)
  #define CHIP_MEMRGN_SIZE_SRAM2                      (128*1024)
  #define CHIP_MEMRGN_SIZE_SRAM3                      (32*1024)
#else
#define CHIP_MEMRGN_ADDR_SRAM2                    (0x30004000)
#endif
#define CHIP_MEMRGN_ADDR_SRAM4                    (0x38000000)
#define CHIP_MEMRGN_SIZE_SRAM4                      (64*1024)

#define CHIP_MEMRGN_ADDR_BKP_SRAM                 (0x38800000)

/* Peripherals */
#define CHIP_MEMRGN_ADDR_APB1                     (0x40000000UL) /* D2 */
#define CHIP_MEMRGN_ADDR_APB2                     (0x40010000UL) /* D2 */
#define CHIP_MEMRGN_ADDR_AHB1                     (0x40020000UL) /* D2 */
#define CHIP_MEMRGN_ADDR_AHB2                     (0x48020000UL) /* D2 */
#define CHIP_MEMRGN_ADDR_APB3                     (0x50000000UL) /* D1 */
#define CHIP_MEMRGN_ADDR_AHB3_1                   (0x51000000UL) /* D1 */
#define CHIP_MEMRGN_ADDR_AHB3_2                   (0x52000000UL) /* D1 */
#define CHIP_MEMRGN_ADDR_APB4                     (0x58000000UL) /* D3 */
#define CHIP_MEMRGN_ADDR_AHB4                     (0x58020000UL) /* D3 */

/* External memory */
#define CHIP_MEMRGN_ADDR_EXMC_BANK1               (0x60000000)
#define CHIP_MEMRGN_ADDR_EXMC_BANK2               (0x70000000)
#define CHIP_MEMRGN_ADDR_EXMC_BANK3               (0x80000000)
#define CHIP_MEMRGN_ADDR_EXMC_BANK5               (0xC0000000)
#define CHIP_MEMRGN_ADDR_EXMC_BANK6               (0xD0000000)

#if CHIP_DEV_SUPPORT_OCTOSPI
#define CHIP_MEMRGN_ADDR_OCTOSPI1                 (0x90000000)
#define CHIP_MEMRGN_ADDR_OCTOSPI2                 (0x70000000)
#else
#define CHIP_MEMRGN_ADDR_QSPI                     (0x90000000)
#endif




/* Адреса блоков периферии */
/* APB1 */
#define CHIP_MEMRGN_ADDR_PERIPH_TIM2              (CHIP_MEMRGN_ADDR_APB1 + 0x0000)
#define CHIP_MEMRGN_ADDR_PERIPH_TIM3              (CHIP_MEMRGN_ADDR_APB1 + 0x0400)
#define CHIP_MEMRGN_ADDR_PERIPH_TIM4              (CHIP_MEMRGN_ADDR_APB1 + 0x0800)
#define CHIP_MEMRGN_ADDR_PERIPH_TIM5              (CHIP_MEMRGN_ADDR_APB1 + 0x0C00)
#define CHIP_MEMRGN_ADDR_PERIPH_TIM6              (CHIP_MEMRGN_ADDR_APB1 + 0x1000)
#define CHIP_MEMRGN_ADDR_PERIPH_TIM7              (CHIP_MEMRGN_ADDR_APB1 + 0x1400)
#define CHIP_MEMRGN_ADDR_PERIPH_TIM12             (CHIP_MEMRGN_ADDR_APB1 + 0x1800)
#define CHIP_MEMRGN_ADDR_PERIPH_TIM13             (CHIP_MEMRGN_ADDR_APB1 + 0x1C00)
#define CHIP_MEMRGN_ADDR_PERIPH_TIM14             (CHIP_MEMRGN_ADDR_APB1 + 0x2000)
#define CHIP_MEMRGN_ADDR_PERIPH_LPTIM1            (CHIP_MEMRGN_ADDR_APB1 + 0x2400)
#if CHIP_DEV_SUPPORT_CORE_CM4
#define CHIP_MEMRGN_ADDR_PERIPH_WWDG2             (CHIP_MEMRGN_ADDR_APB1 + 0x2C00)
#endif
#define CHIP_MEMRGN_ADDR_PERIPH_SPI2              (CHIP_MEMRGN_ADDR_APB1 + 0x3800)
#define CHIP_MEMRGN_ADDR_PERIPH_SPI3              (CHIP_MEMRGN_ADDR_APB1 + 0x3C00)
#define CHIP_MEMRGN_ADDR_PERIPH_SPDIFRX1          (CHIP_MEMRGN_ADDR_APB1 + 0x4000)
#define CHIP_MEMRGN_ADDR_PERIPH_USART2            (CHIP_MEMRGN_ADDR_APB1 + 0x4400)
#define CHIP_MEMRGN_ADDR_PERIPH_USART3            (CHIP_MEMRGN_ADDR_APB1 + 0x4800)
#define CHIP_MEMRGN_ADDR_PERIPH_UART4             (CHIP_MEMRGN_ADDR_APB1 + 0x4C00)
#define CHIP_MEMRGN_ADDR_PERIPH_UART5             (CHIP_MEMRGN_ADDR_APB1 + 0x5000)
#define CHIP_MEMRGN_ADDR_PERIPH_I2C1              (CHIP_MEMRGN_ADDR_APB1 + 0x5400)
#define CHIP_MEMRGN_ADDR_PERIPH_I2C2              (CHIP_MEMRGN_ADDR_APB1 + 0x5800)
#define CHIP_MEMRGN_ADDR_PERIPH_I2C3              (CHIP_MEMRGN_ADDR_APB1 + 0x5C00)
#if CHIP_DEV_SUPPORT_I2C5
#define CHIP_MEMRGN_ADDR_PERIPH_I2C5              (CHIP_MEMRGN_ADDR_APB1 + 0x6400)
#endif
#define CHIP_MEMRGN_ADDR_PERIPH_HDMI_CEC          (CHIP_MEMRGN_ADDR_APB1 + 0x6C00)
#define CHIP_MEMRGN_ADDR_PERIPH_DAC1_2            (CHIP_MEMRGN_ADDR_APB1 + 0x7400)
#define CHIP_MEMRGN_ADDR_PERIPH_UART7             (CHIP_MEMRGN_ADDR_APB1 + 0x7800)
#define CHIP_MEMRGN_ADDR_PERIPH_UART8             (CHIP_MEMRGN_ADDR_APB1 + 0x7C00)
#define CHIP_MEMRGN_ADDR_PERIPH_CRS               (CHIP_MEMRGN_ADDR_APB1 + 0x8400)
#define CHIP_MEMRGN_ADDR_PERIPH_SWPMI             (CHIP_MEMRGN_ADDR_APB1 + 0x8800)
#define CHIP_MEMRGN_ADDR_PERIPH_OPAM              (CHIP_MEMRGN_ADDR_APB1 + 0x9000)
#define CHIP_MEMRGN_ADDR_PERIPH_MDIOS             (CHIP_MEMRGN_ADDR_APB1 + 0x9400)
#define CHIP_MEMRGN_ADDR_PERIPH_FDCAN1            (CHIP_MEMRGN_ADDR_APB1 + 0xA000)
#define CHIP_MEMRGN_ADDR_PERIPH_FDCAN2            (CHIP_MEMRGN_ADDR_APB1 + 0xA400)
#define CHIP_MEMRGN_ADDR_PERIPH_CAN_CCU           (CHIP_MEMRGN_ADDR_APB1 + 0xA800)
#define CHIP_MEMRGN_ADDR_PERIPH_CAN_MSGRAM        (CHIP_MEMRGN_ADDR_APB1 + 0xAC00)
#if CHIP_DEV_SUPPORT_FDCAN3
#define CHIP_MEMRGN_ADDR_PERIPH_FDCAN3            (CHIP_MEMRGN_ADDR_APB1 + 0xD400)
#endif
#if CHIP_DEV_SUPPORT_TIM23_24
#define CHIP_MEMRGN_ADDR_PERIPH_TIM23             (CHIP_MEMRGN_ADDR_APB1 + 0xE000)
#define CHIP_MEMRGN_ADDR_PERIPH_TIM24             (CHIP_MEMRGN_ADDR_APB1 + 0xE400)
#endif
/* APB2 */
#define CHIP_MEMRGN_ADDR_PERIPH_TIM1              (CHIP_MEMRGN_ADDR_APB2 + 0x0000)
#define CHIP_MEMRGN_ADDR_PERIPH_TIM8              (CHIP_MEMRGN_ADDR_APB2 + 0x0400)
#define CHIP_MEMRGN_ADDR_PERIPH_USART1            (CHIP_MEMRGN_ADDR_APB2 + 0x1000)
#define CHIP_MEMRGN_ADDR_PERIPH_USART6            (CHIP_MEMRGN_ADDR_APB2 + 0x1400)
#if CHIP_DEV_SUPPORT_USART9_10
#define CHIP_MEMRGN_ADDR_PERIPH_UART9             (CHIP_MEMRGN_ADDR_APB2 + 0x1800)
#define CHIP_MEMRGN_ADDR_PERIPH_USART10           (CHIP_MEMRGN_ADDR_APB2 + 0x1C00)
#endif
#define CHIP_MEMRGN_ADDR_PERIPH_SPI1              (CHIP_MEMRGN_ADDR_APB2 + 0x3000)
#define CHIP_MEMRGN_ADDR_PERIPH_SPI4              (CHIP_MEMRGN_ADDR_APB2 + 0x3400)
#define CHIP_MEMRGN_ADDR_PERIPH_TIM15             (CHIP_MEMRGN_ADDR_APB2 + 0x4000)
#define CHIP_MEMRGN_ADDR_PERIPH_TIM16             (CHIP_MEMRGN_ADDR_APB2 + 0x4400)
#define CHIP_MEMRGN_ADDR_PERIPH_TIM17             (CHIP_MEMRGN_ADDR_APB2 + 0x4800)
#define CHIP_MEMRGN_ADDR_PERIPH_SPI5              (CHIP_MEMRGN_ADDR_APB2 + 0x5000)
#define CHIP_MEMRGN_ADDR_PERIPH_SAI1              (CHIP_MEMRGN_ADDR_APB2 + 0x5800)
#if CHIP_DEV_SUPPORT_SAI2_3
#define CHIP_MEMRGN_ADDR_PERIPH_SAI2              (CHIP_MEMRGN_ADDR_APB2 + 0x5C00)
#define CHIP_MEMRGN_ADDR_PERIPH_SAI3              (CHIP_MEMRGN_ADDR_APB2 + 0x6000)
#endif
#if CHIP_DEV_DFSDM1_ALTPOS
#define CHIP_MEMRGN_ADDR_PERIPH_DFSDM1            (CHIP_MEMRGN_ADDR_APB2 + 0x7800)
#else
#define CHIP_MEMRGN_ADDR_PERIPH_DFSDM1            (CHIP_MEMRGN_ADDR_APB2 + 0x7000)
#endif
#if CHIP_DEV_SUPPORT_HRTIM
#define CHIP_MEMRGN_ADDR_PERIPH_HRTIM             (CHIP_MEMRGN_ADDR_APB2 + 0x7400)
#endif
/* AHB1 */
#define CHIP_MEMRGN_ADDR_PERIPH_DMA1              (CHIP_MEMRGN_ADDR_AHB1 + 0x0000)
#define CHIP_MEMRGN_ADDR_PERIPH_DMA2              (CHIP_MEMRGN_ADDR_AHB1 + 0x0400)
#define CHIP_MEMRGN_ADDR_PERIPH_DMAMUX1           (CHIP_MEMRGN_ADDR_AHB1 + 0x0800)
#define CHIP_MEMRGN_ADDR_PERIPH_ADC1_2            (CHIP_MEMRGN_ADDR_AHB1 + 0x2000)
#if CHIP_DEV_SUPPORT_CORE_CM4
#define CHIP_MEMRGN_ADDR_PERIPH_ART               (CHIP_MEMRGN_ADDR_AHB1 + 0x4400)
#endif
#define CHIP_MEMRGN_ADDR_PERIPH_ETH               (CHIP_MEMRGN_ADDR_AHB1 + 0x8000)
#define CHIP_MEMRGN_ADDR_PERIPH_USB1_OTG_HS       (CHIP_MEMRGN_ADDR_AHB1 + 0x20000)
#if CHIP_DEV_SUPPORT_USB2
#define CHIP_MEMRGN_ADDR_PERIPH_USB2_OTG_FS       (CHIP_MEMRGN_ADDR_AHB1 + 0x60000)
#endif
/* AHB2 */
#define CHIP_MEMRGN_ADDR_PERIPH_DVP               (CHIP_MEMRGN_ADDR_AHB2 + 0x0000)
#define CHIP_MEMRGN_ADDR_PERIPH_PSSI              (CHIP_MEMRGN_ADDR_AHB2 + 0x0400)
#define CHIP_MEMRGN_ADDR_PERIPH_CRYPTO            (CHIP_MEMRGN_ADDR_AHB2 + 0x1000)
#define CHIP_MEMRGN_ADDR_PERIPH_HASH              (CHIP_MEMRGN_ADDR_AHB2 + 0x1400)
#define CHIP_MEMRGN_ADDR_PERIPH_RNG               (CHIP_MEMRGN_ADDR_AHB2 + 0x1800)
#define CHIP_MEMRGN_ADDR_PERIPH_SDMMC2            (CHIP_MEMRGN_ADDR_AHB2 + 0x2400)
#define CHIP_MEMRGN_ADDR_PERIPH_SDMMC2_DELAY      (CHIP_MEMRGN_ADDR_AHB2 + 0x2800)
#define CHIP_MEMRGN_ADDR_PERIPH_RAMECC2           (CHIP_MEMRGN_ADDR_AHB2 + 0x3000)
#if CHIP_DEV_SUPPORT_FMAC
#define CHIP_MEMRGN_ADDR_PERIPH_FMAC              (CHIP_MEMRGN_ADDR_AHB2 + 0x4000)
#endif
#if CHIP_DEV_SUPPORT_CORDIC
#define CHIP_MEMRGN_ADDR_PERIPH_CORDIC            (CHIP_MEMRGN_ADDR_AHB2 + 0x4400)
#endif
/* APB3 */
#if CHIP_DEV_SUPPORT_DSI
#define CHIP_MEMRGN_ADDR_PERIPH_DSIHOST           (CHIP_MEMRGN_ADDR_APB3 + 0x0000)
#endif
#define CHIP_MEMRGN_ADDR_PERIPH_LTDC              (CHIP_MEMRGN_ADDR_APB3 + 0x1000)
#define CHIP_MEMRGN_ADDR_PERIPH_WWDG1             (CHIP_MEMRGN_ADDR_APB3 + 0x3000)
/* AHB3 */
#define CHIP_MEMRGN_ADDR_PERIPH_GPV               (CHIP_MEMRGN_ADDR_AHB3_1 + 0x0000)
#define CHIP_MEMRGN_ADDR_PERIPH_MDMA              (CHIP_MEMRGN_ADDR_AHB3_2 + 0x0000)
#define CHIP_MEMRGN_ADDR_PERIPH_DMA2D             (CHIP_MEMRGN_ADDR_AHB3_2 + 0x1000)
#define CHIP_MEMRGN_ADDR_PERIPH_FLASH             (CHIP_MEMRGN_ADDR_AHB3_2 + 0x2000)
#if CHIP_DEV_SUPPORT_JPGDEC
#define CHIP_MEMRGN_ADDR_PERIPH_JPEG              (CHIP_MEMRGN_ADDR_AHB3_2 + 0x3000)
#endif
#define CHIP_MEMRGN_ADDR_PERIPH_EXMC               (CHIP_MEMRGN_ADDR_AHB3_2 + 0x4000)
#if CHIP_DEV_SUPPORT_OCTOSPI
#define CHIP_MEMRGN_ADDR_PERIPH_OCTOSPI1          (CHIP_MEMRGN_ADDR_AHB3_2 + 0x5000)
#define CHIP_MEMRGN_ADDR_PERIPH_OCTOSPI1_DELAY    (CHIP_MEMRGN_ADDR_AHB3_2 + 0x6000)
#else
#define CHIP_MEMRGN_ADDR_PERIPH_QSPI              (CHIP_MEMRGN_ADDR_AHB3_2 + 0x5000)
#define CHIP_MEMRGN_ADDR_PERIPH_QSPI_DELAY        (CHIP_MEMRGN_ADDR_AHB3_2 + 0x6000)
#endif
#define CHIP_MEMRGN_ADDR_PERIPH_SDMMC1            (CHIP_MEMRGN_ADDR_AHB3_2 + 0x7000)
#define CHIP_MEMRGN_ADDR_PERIPH_SDMMC1_DELAY      (CHIP_MEMRGN_ADDR_AHB3_2 + 0x8000)
#define CHIP_MEMRGN_ADDR_PERIPH_RAMECC1           (CHIP_MEMRGN_ADDR_AHB3_2 + 0x9000)
#if CHIP_DEV_SUPPORT_OCTOSPI
#define CHIP_MEMRGN_ADDR_PERIPH_OCTOSPI2          (CHIP_MEMRGN_ADDR_AHB3_2 + 0xA000)
#define CHIP_MEMRGN_ADDR_PERIPH_OCTOSPI2_DELAY    (CHIP_MEMRGN_ADDR_AHB3_2 + 0xB000)
#define CHIP_MEMRGN_ADDR_PERIPH_OCTOSPI_IO        (CHIP_MEMRGN_ADDR_AHB3_2 + 0xB400)
#define CHIP_MEMRGN_ADDR_PERIPH_OTFDEC1           (CHIP_MEMRGN_ADDR_AHB3_2 + 0xB800)
#define CHIP_MEMRGN_ADDR_PERIPH_OTFDEC2           (CHIP_MEMRGN_ADDR_AHB3_2 + 0xBC00)
#endif
/* APB4 */
#define CHIP_MEMRGN_ADDR_PERIPH_EXTI          (CHIP_MEMRGN_ADDR_APB4 + 0x0000)
#define CHIP_MEMRGN_ADDR_PERIPH_SYSCFG        (CHIP_MEMRGN_ADDR_APB4 + 0x0400)
#define CHIP_MEMRGN_ADDR_PERIPH_LPUART1       (CHIP_MEMRGN_ADDR_APB4 + 0x0C00)
#define CHIP_MEMRGN_ADDR_PERIPH_SPI6          (CHIP_MEMRGN_ADDR_APB4 + 0x1400)
#define CHIP_MEMRGN_ADDR_PERIPH_I2C4          (CHIP_MEMRGN_ADDR_APB4 + 0x1C00)
#define CHIP_MEMRGN_ADDR_PERIPH_LPTIM2        (CHIP_MEMRGN_ADDR_APB4 + 0x2400)
#define CHIP_MEMRGN_ADDR_PERIPH_LPTIM3        (CHIP_MEMRGN_ADDR_APB4 + 0x2800)
#define CHIP_MEMRGN_ADDR_PERIPH_LPTIM4        (CHIP_MEMRGN_ADDR_APB4 + 0x2C00)
#define CHIP_MEMRGN_ADDR_PERIPH_LPTIM5        (CHIP_MEMRGN_ADDR_APB4 + 0x3000)
#define CHIP_MEMRGN_ADDR_PERIPH_COMP1_2       (CHIP_MEMRGN_ADDR_APB4 + 0x3800)
#define CHIP_MEMRGN_ADDR_PERIPH_VREF          (CHIP_MEMRGN_ADDR_APB4 + 0x3C00)
#define CHIP_MEMRGN_ADDR_PERIPH_RTC_BKP       (CHIP_MEMRGN_ADDR_APB4 + 0x4000)
#define CHIP_MEMRGN_ADDR_PERIPH_IWDG1         (CHIP_MEMRGN_ADDR_APB4 + 0x4800)
#if CHIP_DEV_SUPPORT_CORE_CM4
#define CHIP_MEMRGN_ADDR_PERIPH_IWDG2         (CHIP_MEMRGN_ADDR_APB4 + 0x4C00)
#endif
#define CHIP_MEMRGN_ADDR_PERIPH_SAI4          (CHIP_MEMRGN_ADDR_APB4 + 0x5400)
#if CHIP_DEV_SUPPORT_DTS
#define CHIP_MEMRGN_ADDR_PERIPH_DTS           (CHIP_MEMRGN_ADDR_APB4 + 0x6800)
#endif
/* AHB4 */
#define CHIP_MEMRGN_ADDR_PERIPH_GPIOA         (CHIP_MEMRGN_ADDR_AHB4 + 0x0000)
#define CHIP_MEMRGN_ADDR_PERIPH_GPIOB         (CHIP_MEMRGN_ADDR_AHB4 + 0x0400)
#define CHIP_MEMRGN_ADDR_PERIPH_GPIOC         (CHIP_MEMRGN_ADDR_AHB4 + 0x0800)
#define CHIP_MEMRGN_ADDR_PERIPH_GPIOD         (CHIP_MEMRGN_ADDR_AHB4 + 0x0C00)
#define CHIP_MEMRGN_ADDR_PERIPH_GPIOE         (CHIP_MEMRGN_ADDR_AHB4 + 0x1000)
#define CHIP_MEMRGN_ADDR_PERIPH_GPIOF         (CHIP_MEMRGN_ADDR_AHB4 + 0x1400)
#define CHIP_MEMRGN_ADDR_PERIPH_GPIOG         (CHIP_MEMRGN_ADDR_AHB4 + 0x1800)
#define CHIP_MEMRGN_ADDR_PERIPH_GPIOH         (CHIP_MEMRGN_ADDR_AHB4 + 0x1C00)
#if CHIP_DEV_SUPPORT_PORTI
#define CHIP_MEMRGN_ADDR_PERIPH_GPIOI         (CHIP_MEMRGN_ADDR_AHB4 + 0x2000)
#endif
#define CHIP_MEMRGN_ADDR_PERIPH_GPIOJ         (CHIP_MEMRGN_ADDR_AHB4 + 0x2400)
#define CHIP_MEMRGN_ADDR_PERIPH_GPIOK         (CHIP_MEMRGN_ADDR_AHB4 + 0x2800)
#define CHIP_MEMRGN_ADDR_PERIPH_RCC           (CHIP_MEMRGN_ADDR_AHB4 + 0x4400)
#define CHIP_MEMRGN_ADDR_PERIPH_PWR           (CHIP_MEMRGN_ADDR_AHB4 + 0x4800)
#define CHIP_MEMRGN_ADDR_PERIPH_CRC           (CHIP_MEMRGN_ADDR_AHB4 + 0x4C00)
#define CHIP_MEMRGN_ADDR_PERIPH_BDMA          (CHIP_MEMRGN_ADDR_AHB4 + 0x5400)
#define CHIP_MEMRGN_ADDR_PERIPH_DMAMUX2       (CHIP_MEMRGN_ADDR_AHB4 + 0x5800)
#define CHIP_MEMRGN_ADDR_PERIPH_ADC3          (CHIP_MEMRGN_ADDR_AHB4 + 0x6000)
#define CHIP_MEMRGN_ADDR_PERIPH_HSEM          (CHIP_MEMRGN_ADDR_AHB4 + 0x6400)
#if CHIP_DEV_SUPPORT_SRAM3
#define CHIP_MEMRGN_ADDR_PERIPH_RAMECC3       (CHIP_MEMRGN_ADDR_AHB4 + 0x7000)
#endif


#define CHIP_MEMRGN_ADDR_DBGMCU               (0x5C001000UL)

/*!< Device electronic signature memory map */
#define CHIP_MEMRGN_ADDR_UID                  (0x1FF1E800UL)            /*!< Unique device ID register base address */
#define CHIP_MEMRGN_ADDR_FLASHSIZE            (0x1FF1E880UL)            /*!< FLASH Size register base address */



#endif // CHIP_STM32H7XX_REGS_MMAP_H

